driver_info_module_t Struct Reference
Public interface » ID macros » Driver information

module info More...

`#include <hd.h>`

## Data Fields

union driver_info_u * | next
enum driver_info_type | type
| driver info type
str_list_t * | hddb0
str_list_t * | hddb1
| the actual driver database entries
unsigned | active:1
| if module is currently active
unsigned | modprobe:1
| modprobe or insmod
str_list_t * | names
| (ordered) list of module names
str_list_t * | mod_args
| list of module args (corresponds to the module name list)
char * | conf
| conf.modules entry, if any (e.g.

## Detailed Description

module info

The documentation for this struct was generated from the following file:

- hd.h